export { matchers } from './matchers.js';

export const nodes = [
	() => import('./nodes/0'),
	() => import('./nodes/1'),
	() => import('./nodes/2'),
	() => import('./nodes/3'),
	() => import('./nodes/4'),
	() => import('./nodes/5'),
	() => import('./nodes/6'),
	() => import('./nodes/7'),
	() => import('./nodes/8'),
	() => import('./nodes/9'),
	() => import('./nodes/10'),
	() => import('./nodes/11'),
	() => import('./nodes/12'),
	() => import('./nodes/13'),
	() => import('./nodes/14'),
	() => import('./nodes/15'),
	() => import('./nodes/16'),
	() => import('./nodes/17'),
	() => import('./nodes/18')
];

export const server_loads = [];

export const dictionary = {
		"/(app)": [4,[2],[3]],
		"/(app)/auth": [5,[2],[3]],
		"/(app)/channel/[slug]": [6,[2],[3]],
		"/(no-layout)/embed/[slug]": [18],
		"/(app)/hashtag/[slug]": [7,[2],[3]],
		"/(app)/history": [8,[2],[3]],
		"/(app)/playlists": [11,[2],[3]],
		"/(app)/playlist": [9,[2],[3]],
		"/(app)/playlist/[slug]": [10,[2],[3]],
		"/(app)/search/[slug]": [12,[2],[3]],
		"/(app)/subscriptions": [13,[2],[3]],
		"/(app)/subscriptions/manage": [14,[2],[3]],
		"/(app)/trending": [15,[2],[3]],
		"/(app)/watch": [16,[2],[3]],
		"/(app)/watch/[slug]": [17,[2],[3]]
	};

export const hooks = {
	handleError: (({ error }) => { console.error(error) }),
	
	reroute: (() => {}),
	transport: {}
};

export const decoders = Object.fromEntries(Object.entries(hooks.transport).map(([k, v]) => [k, v.decode]));

export const hash = false;

export const decode = (type, value) => decoders[type](value);

export { default as root } from '../root.js';