import { p as pop, a as push, s as store_get, u as unsubscribe_stores, e as ensure_array_like, b as stringify, o as store_set, j as head } from "../../../chunks/index2.js";
import { g as goto } from "../../../chunks/client.js";
import { p as page, n as navigating } from "../../../chunks/stores.js";
import { Capacitor, registerPlugin } from "@capacitor/core";
import { D as darkModeStore, E as interfaceAmoledTheme, F as themeColorStore, x as miniPlayerSrcStore, p as playerProxyVideosStore, G as interfaceSearchSuggestionsStore, u as synciousStore, n as synciousInstanceStore, f as instanceStore, H as deArrowTitlesOnly, I as deArrowEnabledStore, J as deArrowInstanceStore, K as deArrowThumbnailInstanceStore, c as interfaceDisplayThumbnailAvatars, L as interfaceSearchHistoryEnabled, i as interfaceLowBandwidthMode, M as interfacePreviewVideoOnHoverStore, y as interfaceAutoExpandDesc, z as interfaceAutoExpandComments, k as interfaceRegionStore, e as interfaceForceCase, g as interfaceDefaultPage, b as authStore, N as playerDefaultLanguage, C as playerMiniPlayerStore, q as playerAutoPlayStore, t as playerAlwaysLoopStore, O as playerAndroidBgPlayer, P as playerAndroidLockOrientation, d as playerSavePlaybackPositionStore, B as playerListenByDefaultStore, A as playerTheatreModeByDefaultStore, Q as playerAutoplayNextByDefaultStore, o as silenceSkipperStore, l as playerYouTubeJsAlways, m as playerYouTubeJsFallback, r as returnYtDislikesStore, h as returnYTDislikesInstanceStore, R as sponsorBlockCategoriesStore, S as sponsorBlockStore, T as sponsorBlockDisplayToastStore, U as sponsorBlockTimelineStore, V as sponsorBlockUrlStore, s as syncPartyPeerStore, w as syncPartyConnectionsStore, a as activePageStore, W as showWarningStore } from "../../../chunks/store.js";
import "human-number";
import "bgutils-js";
import { a as attr, c as clsx } from "../../../chunks/attributes.js";
import "youtubei.js";
import { r as rt } from "../../../chunks/beer.min.js";
import { StatusBar, Style } from "@capacitor/status-bar";
import { NavigationBar } from "@hugotomazi/capacitor-navigation-bar";
import { t as tick, o as onDestroy } from "../../../chunks/index-server.js";
import { g as get } from "../../../chunks/index.js";
import { p as proxyVideoUrl } from "../../../chunks/misc.js";
import { e as escape_html } from "../../../chunks/escaping.js";
import { P as PageLoading } from "../../../chunks/PageLoading.js";
import "mousetrap";
import { $ as $format } from "../../../chunks/runtime.js";
import ISO6391 from "iso-639-1";
import "he";
import { l as letterCase, t as titleCases, a as titleCase } from "../../../chunks/letterCasing.js";
import "@capacitor/clipboard";
import { iso31661 } from "iso-3166";
import { g as getPages } from "../../../chunks/navPages.js";
import { T as Thumbnail } from "../../../chunks/Thumbnail.js";
import { App } from "@capacitor/app";
import "@capacitor/browser";
import "material-dynamic-colors";
import { h as html } from "../../../chunks/html.js";
if (Capacitor.getPlatform() === "android") {
  const originalFetch = window.fetch;
  const corsProxyUrl = "http://localhost:3000/";
  window.fetch = async (requestInput, requestOptions) => {
    let requestUrl;
    if (typeof requestInput === "string") {
      requestUrl = requestInput;
    } else if ("url" in requestInput) {
      requestUrl = requestInput.url;
      requestOptions = {
        body: requestInput.body,
        cache: requestInput.cache,
        credentials: requestInput.credentials,
        headers: requestInput.headers,
        method: requestInput.method,
        mode: requestInput.mode,
        redirect: requestInput.redirect,
        referrer: requestInput.referrer,
        signal: requestInput.signal
      };
      if (requestOptions.body && requestOptions.body instanceof ReadableStream) {
        requestOptions.duplex = "half";
      }
    } else {
      requestUrl = requestInput.toString();
    }
    if (!requestUrl.startsWith(corsProxyUrl) && !requestUrl.startsWith("/") && !requestUrl.startsWith("blob:")) {
      requestInput = corsProxyUrl + requestUrl;
    }
    return originalFetch(requestInput, requestOptions);
  };
  const currentOrigin = window.location.protocol + "//" + window.location.host;
  const originalXhrOpen = XMLHttpRequest.prototype.open;
  XMLHttpRequest.prototype.open = function(...args) {
    const targetOriginMatch = /^https?:\/\/([^\/]+)/i.exec(args[1]);
    if (targetOriginMatch && targetOriginMatch[0].toLowerCase() !== currentOrigin) {
      args[1] = corsProxyUrl + args[1];
    }
    return originalXhrOpen.apply(this, args);
  };
  setTimeout(() => goto("/", {}), 10);
}
registerPlugin("ColorTheme");
async function getDynamicTheme(mode) {
  const givenSettings = await rt("theme");
  const themes = givenSettings[rt("mode")];
  let themeVars = {};
  themes.split(";").forEach((keyVar) => {
    let [key, value] = keyVar.split(":");
    themeVars[key] = value;
  });
  return themeVars;
}
async function setStatusBarColor() {
  if (Capacitor.getPlatform() === "android") {
    await tick();
    const surfaceColor = get(interfaceAmoledTheme) ? "#000000" : (await getDynamicTheme())["--surface-container"];
    await StatusBar.setBackgroundColor({
      color: surfaceColor
    });
    await NavigationBar.setColor({
      color: surfaceColor,
      darkButtons: !get(darkModeStore)
    });
    await NavigationBar.show();
    if (get(darkModeStore)) {
      await StatusBar.setStyle({ style: Style.Dark });
    } else {
      await StatusBar.setStyle({ style: Style.Light });
    }
  }
}
function setAmoledTheme() {
  const isAmoled = get(interfaceAmoledTheme);
  const isDark = get(darkModeStore);
  if (isAmoled && isDark) {
    const rootVars = [
      "--surface-container",
      "--surface",
      "--surface-container-lowest",
      "--surface-container-low",
      "--surface-container-high",
      "--surface-container-highest"
    ];
    rootVars.forEach((varName) => {
      document.body.style.setProperty(varName, "#000");
    });
  } else {
    setTheme();
  }
}
function setTheme() {
  const isDark = get(darkModeStore);
  if (isDark === null) {
    if (window.matchMedia && window.matchMedia("(prefers-color-scheme: dark)").matches) {
      darkModeStore.set(true);
      rt("mode", "dark");
    } else {
      darkModeStore.set(false);
      rt("mode", "light");
    }
  } else {
    if (isDark) {
      rt("mode", "dark");
    } else {
      rt("mode", "light");
    }
  }
}
function Logo($$payload, $$props) {
  push();
  let { classes = "" } = $$props;
  let fillColor = "";
  async function setFill() {
    fillColor = (await getDynamicTheme())["--primary"];
  }
  darkModeStore.subscribe(async () => {
    await setFill();
  });
  themeColorStore.subscribe(async () => {
    await setFill();
  });
  $$payload.out += `<svg version="1.1" id="svg1"${attr("class", clsx(classes))} height="100%" xml:space="preserve" xmlns="http://www.w3.org/2000/svg" viewBox="50.17 104.37 109.67 88.27"><defs id="defs1"></defs><g id="layer1"><g id="g6" transform="matrix(1.0140222,0,0,1.0140222,-1.4722742,-56.323482)"><g id="g1" transform="matrix(-1,0,0,1,201.63735,-7.4456246e-6)"><g id="g5"><path id="path5"${attr("style", `color:#000000;fill:${fillColor};stroke-linecap:square;-inkscape-stroke:none;paint-order:stroke markers fill`)} d="m 114.65661,173.40906 -1.29294,4.82606 h -5.2e-4 l -44.404523,11.89798 32.504993,32.50551 10e-4,0.001 -6.12107,22.84563 -26.381853,-26.38185 -26.381335,-26.38134 36.03811,-9.65625 z m -4.28191,15.97939 -5.37486,20.05872 -0.54622,2.03915 -16.176276,-16.17679 z"></path><path${attr("style", `color:#000000;fill:${fillColor};stroke-linecap:square;-inkscape-stroke:none;paint-order:stroke markers fill`)} d="M 131.38171,245.48534 105,219.10365 l -26.381696,-26.3817 36.038076,-9.65637 36.03807,-9.65638 -9.65637,36.03807 z" id="path3"></path></g></g><circle${attr("style", `opacity:1;fill:${fillColor};fill-opacity:1;stroke:none;stroke-width:10.8326;stroke-linecap:square;stroke-dasharray:none;stroke-opacity:1;paint-order:stroke markers fill`)} id="path6" cx="86.980743" cy="163.40662" r="4.9097047"></circle></g></g></svg>`;
  pop();
}
function MiniPlayer($$payload, $$props) {
  push();
  var $$store_subs;
  let currentTime = 0;
  if (store_get($$store_subs ??= {}, "$miniPlayerSrcStore", miniPlayerSrcStore) && store_get($$store_subs ??= {}, "$miniPlayerSrcStore", miniPlayerSrcStore).video.formatStreams.length > 0) {
    $$payload.out += "<!--[-->";
    $$payload.out += `<nav class="bottom no-padding svelte-zyd8lx"><article class="surface-bright svelte-zyd8lx"><button class="s circle transparent no-margin"><i>close</i></button> <div class="flex-container svelte-zyd8lx"><div style="display: flex;"><p class="bold truncate svelte-zyd8lx">${escape_html(store_get($$store_subs ??= {}, "$miniPlayerSrcStore", miniPlayerSrcStore).video.title)}</p> <button class="m l circle transparent no-margin"><i>close</i></button></div> <progress class="s"${attr("value", currentTime)}${attr("max", store_get($$store_subs ??= {}, "$miniPlayerSrcStore", miniPlayerSrcStore).video.lengthSeconds)}></progress></div> <video id="video" style="cursor: pointer;"${attr("controls", false, true)} autoplay${attr("src", get(playerProxyVideosStore) ? proxyVideoUrl(store_get($$store_subs ??= {}, "$miniPlayerSrcStore", miniPlayerSrcStore).video.formatStreams[0].url) : store_get($$store_subs ??= {}, "$miniPlayerSrcStore", miniPlayerSrcStore).video.formatStreams[0].url)} class="svelte-zyd8lx"></video></article></nav>`;
  } else {
    $$payload.out += "<!--[!-->";
  }
  $$payload.out += `<!--]-->`;
  if ($$store_subs) unsubscribe_stores($$store_subs);
  pop();
}
function Search($$payload, $$props) {
  push();
  var $$store_subs;
  interfaceSearchSuggestionsStore.subscribe((value) => value);
  let search = "";
  $$payload.out += `<form><div class="field prefix round fill no-margin search svelte-akif9p"><i class="front">search</i> <input id="search-box"${attr("placeholder", store_get($$store_subs ??= {}, "$_", $format)("searchPlaceholder"))}${attr("value", search)}> `;
  {
    $$payload.out += "<!--[!-->";
  }
  $$payload.out += `<!--]--></div></form>`;
  if ($$store_subs) unsubscribe_stores($$store_subs);
  pop();
}
function ApiExtended($$payload, $$props) {
  push();
  var $$store_subs;
  let synciousInstance = get(synciousInstanceStore);
  $$payload.out += `<form><nav><div class="field label border max"><input${attr("value", synciousInstance)} name="syncious-instance" type="text"> <label for="syncious-instance">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.instanceUrl"))}</label></div> <button class="square round"><i>done</i></button></nav></form> <nav class="no-padding"><div class="max"><p>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("enabled"))}</p></div> <label class="switch"><input${attr("checked", store_get($$store_subs ??= {}, "$synciousStore", synciousStore), true)} type="checkbox"> <span></span></label></nav>`;
  if ($$store_subs) unsubscribe_stores($$store_subs);
  pop();
}
function DataPreferences($$payload, $$props) {
  push();
  var $$store_subs;
  $$payload.out += `<p style="width: 240px;"><a${attr("href", `${get(instanceStore)}/preferences`)} target="_blank" rel="noopener noreferrer" class="link">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.dataPreferences.content"))}</a></p>`;
  if ($$store_subs) unsubscribe_stores($$store_subs);
  pop();
}
function DeArrow($$payload, $$props) {
  push();
  var $$store_subs;
  let deArrowUrl = get(deArrowInstanceStore);
  let deArrowThumbnailUrl = get(deArrowThumbnailInstanceStore);
  $$payload.out += `<form><nav><div class="field label border max"><input${attr("value", deArrowUrl)} name="dearrow-instance" type="text"> <label for="dearrow-instance">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.instanceUrl"))}</label></div> <button class="square round"><i>done</i></button></nav></form> <form><nav><div class="field label border max"><input${attr("value", deArrowThumbnailUrl)} name="dearrow-thumbnail-instance" type="text"> <label for="dearrow-thumbnail-instance">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.deArrow.thumbnailInstanceUrl"))}</label></div> <button class="square round"><i>done</i></button></nav></form> <nav class="no-padding"><div class="max"><p>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.deArrow.titleOnly"))}</p></div> <label class="switch"><input${attr("checked", store_get($$store_subs ??= {}, "$deArrowTitlesOnly", deArrowTitlesOnly), true)} type="checkbox"> <span></span></label></nav> <nav class="no-padding"><div class="max"><p>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("enabled"))}</p></div> <label class="switch"><input${attr("checked", store_get($$store_subs ??= {}, "$deArrowEnabledStore", deArrowEnabledStore), true)} type="checkbox"> <span></span></label></nav>`;
  if ($$store_subs) unsubscribe_stores($$store_subs);
  pop();
}
function Interface($$payload, $$props) {
  push();
  var $$store_subs;
  let invidiousInstance = get(instanceStore);
  get(interfaceRegionStore);
  get(interfaceForceCase);
  get(interfaceDefaultPage);
  const each_array = ensure_array_like(iso31661);
  const each_array_1 = ensure_array_like(titleCases);
  const each_array_2 = ensure_array_like(getPages());
  if (Capacitor.isNativePlatform()) {
    $$payload.out += "<!--[-->";
    $$payload.out += `<form><nav><div class="field label border max"><input${attr("value", invidiousInstance)} name="invidious-instance" type="text"> <label for="invidious-instance">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.instanceUrl"))}</label></div> <button class="square round"><i>done</i></button></nav></form>`;
  } else {
    $$payload.out += "<!--[!-->";
  }
  $$payload.out += `<!--]--> <div class="margin"></div> <button class="no-margin">`;
  if (!store_get($$store_subs ??= {}, "$darkModeStore", darkModeStore)) {
    $$payload.out += "<!--[-->";
    $$payload.out += `<i>dark_mode</i> <span>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.theme.darkMode"))}</span>`;
  } else {
    $$payload.out += "<!--[!-->";
    $$payload.out += `<i>light_mode</i> <span>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.theme.lightMode"))}</span>`;
  }
  $$payload.out += `<!--]--></button> <button><i>palette</i> <span>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.theme.color"))}</span> <input type="color"></button> <div class="margin"></div> `;
  if (store_get($$store_subs ??= {}, "$darkModeStore", darkModeStore)) {
    $$payload.out += "<!--[-->";
    $$payload.out += `<div class="field no-margin"><nav class="no-padding"><div class="max"><div>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.theme.AmoledTheme"))}</div></div> <label class="switch"><input type="checkbox"${attr("checked", store_get($$store_subs ??= {}, "$interfaceAmoledTheme", interfaceAmoledTheme), true)}> <span></span></label></nav></div>`;
  } else {
    $$payload.out += "<!--[!-->";
  }
  $$payload.out += `<!--]--> <div class="field no-margin"><nav class="no-padding"><div class="max"><div>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.displayThumbnailAvatars"))}</div></div> <label class="switch"><input type="checkbox"${attr("checked", store_get($$store_subs ??= {}, "$interfaceDisplayThumbnailAvatars", interfaceDisplayThumbnailAvatars), true)}> <span></span></label></nav></div> <div class="field no-margin"><nav class="no-padding"><div class="max"><div>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.searchHistory"))}</div></div> <label class="switch"><input type="checkbox"${attr("checked", store_get($$store_subs ??= {}, "$interfaceSearchHistoryEnabled", interfaceSearchHistoryEnabled), true)}> <span></span></label></nav></div> <div class="field no-margin"><nav class="no-padding"><div class="max"><div>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.lowBandwidthMode"))}</div></div> <label class="switch"><input type="checkbox"${attr("checked", store_get($$store_subs ??= {}, "$interfaceLowBandwidthMode", interfaceLowBandwidthMode), true)}> <span></span></label></nav></div> <div class="field no-margin"><nav class="no-padding"><div class="max"><div>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.searchSuggestions"))}</div></div> <label class="switch"><input type="checkbox"${attr("checked", store_get($$store_subs ??= {}, "$interfaceSearchSuggestionsStore", interfaceSearchSuggestionsStore), true)}> <span></span></label></nav></div> <div class="field no-margin"><nav class="no-padding"><div class="max"><div>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.previewVideoOnHover"))}</div></div> <label class="switch"><input type="checkbox"${attr("checked", store_get($$store_subs ??= {}, "$interfacePreviewVideoOnHoverStore", interfacePreviewVideoOnHoverStore), true)}> <span></span></label></nav></div> <div class="field no-margin"><nav class="no-padding"><div class="max"><div>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.expandDescription"))}</div></div> <label class="switch"><input type="checkbox"${attr("checked", store_get($$store_subs ??= {}, "$interfaceAutoExpandDesc", interfaceAutoExpandDesc), true)}> <span></span></label></nav></div> <div class="field no-margin"><nav class="no-padding"><div class="max"><div>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.expandComments"))}</div></div> <label class="switch"><input type="checkbox"${attr("checked", store_get($$store_subs ??= {}, "$interfaceAutoExpandComments", interfaceAutoExpandComments), true)}> <span></span></label></nav></div> <div class="field label suffix border"><select name="region"><!--[-->`;
  for (let $$index = 0, $$length = each_array.length; $$index < $$length; $$index++) {
    let region = each_array[$$index];
    $$payload.out += `<option${attr("selected", store_get($$store_subs ??= {}, "$interfaceRegionStore", interfaceRegionStore) === region.alpha2, true)}${attr("value", region.alpha2)}>${escape_html(region.alpha2)} - ${escape_html(region.name)}</option>`;
  }
  $$payload.out += `<!--]--></select> <label for="region">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("region"))}</label> <i>arrow_drop_down</i></div> <div class="field label suffix border"><select name="case"><option${attr("selected", store_get($$store_subs ??= {}, "$interfaceForceCase", interfaceForceCase) === null, true)}${attr("value", null)}>Default</option><!--[-->`;
  for (let $$index_1 = 0, $$length = each_array_1.length; $$index_1 < $$length; $$index_1++) {
    let caseType = each_array_1[$$index_1];
    $$payload.out += `<option${attr("selected", store_get($$store_subs ??= {}, "$interfaceForceCase", interfaceForceCase) === caseType, true)}${attr("value", caseType)}>${escape_html(letterCase(`${caseType}`, caseType))}</option>`;
  }
  $$payload.out += `<!--]--></select> <label for="case">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("letterCase"))}</label> <i>arrow_drop_down</i></div> <div class="field label suffix border"><select name="defaultPage"><!--[-->`;
  for (let $$index_2 = 0, $$length = each_array_2.length; $$index_2 < $$length; $$index_2++) {
    let page2 = each_array_2[$$index_2];
    if (!page2.requiresAuth || get(authStore)) {
      $$payload.out += "<!--[-->";
      $$payload.out += `<option${attr("selected", store_get($$store_subs ??= {}, "$interfaceDefaultPage", interfaceDefaultPage) === page2.href, true)}${attr("value", page2.href)}>${escape_html(page2.name)}</option>`;
    } else {
      $$payload.out += "<!--[!-->";
    }
    $$payload.out += `<!--]-->`;
  }
  $$payload.out += `<!--]--></select> <label for="defaultPage">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("defaultPage"))}</label> <i>arrow_drop_down</i></div> `;
  if (!Capacitor.isNativePlatform()) {
    $$payload.out += "<!--[-->";
    $$payload.out += `<div class="settings"><h6>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.bookmarklet"))}</h6> <button class="no-margin">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("copyUrl"))}</button></div>`;
  } else {
    $$payload.out += "<!--[!-->";
  }
  $$payload.out += `<!--]-->`;
  if ($$store_subs) unsubscribe_stores($$store_subs);
  pop();
}
function Player($$payload, $$props) {
  push();
  var $$store_subs;
  get(playerDefaultLanguage);
  const languageNames = ISO6391.getAllCodes().map((code) => ISO6391.getName(code).toLocaleLowerCase());
  const each_array = ensure_array_like(languageNames);
  $$payload.out += `<div class="margin"></div> <div class="field label suffix border"><select name="case"><!--[-->`;
  for (let $$index = 0, $$length = each_array.length; $$index < $$length; $$index++) {
    let language = each_array[$$index];
    $$payload.out += `<option${attr("selected", store_get($$store_subs ??= {}, "$playerDefaultLanguage", playerDefaultLanguage) === language, true)}${attr("value", language)}>${escape_html(titleCase(language))}</option>`;
  }
  $$payload.out += `<!--]--></select> <label for="case">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("player.defaultLanguage"))}</label> <i>arrow_drop_down</i></div> <div class="field no-margin"><nav class="no-padding"><div class="max"><div>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.player.miniPlayer"))}</div></div> <label class="switch"><input type="checkbox"${attr("checked", store_get($$store_subs ??= {}, "$playerMiniPlayerStore", playerMiniPlayerStore), true)}> <span></span></label></nav></div> <div class="field no-margin"><nav class="no-padding"><div class="max"><div>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.player.autoPlay"))}</div></div> <label class="switch"><input type="checkbox"${attr("checked", store_get($$store_subs ??= {}, "$playerAutoPlayStore", playerAutoPlayStore), true)}> <span></span></label></nav></div> <div class="field no-margin"><nav class="no-padding"><div class="max"><div>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.player.alwaysLoopVideo"))}</div></div> <label class="switch"><input type="checkbox"${attr("checked", store_get($$store_subs ??= {}, "$playerAlwaysLoopStore", playerAlwaysLoopStore), true)}> <span></span></label></nav></div> `;
  if (Capacitor.getPlatform() === "android") {
    $$payload.out += "<!--[-->";
    $$payload.out += `<div class="field no-margin"><nav class="no-padding"><div class="max"><div>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.player.backgroundPlay"))}</div></div> <label class="switch"><input type="checkbox"${attr("checked", store_get($$store_subs ??= {}, "$playerAndroidBgPlayer", playerAndroidBgPlayer), true)}> <span></span></label></nav></div> <div class="field no-margin"><nav class="no-padding"><div class="max"><div>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.player.lockOrientation"))}</div></div> <label class="switch"><input type="checkbox"${attr("checked", store_get($$store_subs ??= {}, "$playerAndroidLockOrientation", playerAndroidLockOrientation), true)}> <span></span></label></nav></div>`;
  } else {
    $$payload.out += "<!--[!-->";
  }
  $$payload.out += `<!--]--> `;
  if (Capacitor.isNativePlatform()) {
    $$payload.out += "<!--[-->";
    $$payload.out += `<div class="field no-margin"><nav class="no-padding"><div class="max"><div>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.player.proxyVideos"))}</div></div> <label class="switch"><input type="checkbox"${attr("checked", store_get($$store_subs ??= {}, "$playerProxyVideosStore", playerProxyVideosStore), true)}> <span></span></label></nav></div>`;
  } else {
    $$payload.out += "<!--[!-->";
  }
  $$payload.out += `<!--]--> <div class="field no-margin"><nav class="no-padding"><div class="max"><div>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.player.savePlaybackPosition"))}</div></div> <label class="switch"><input type="checkbox"${attr("checked", store_get($$store_subs ??= {}, "$playerSavePlaybackPositionStore", playerSavePlaybackPositionStore), true)}> <span></span></label></nav></div> <div class="field no-margin"><nav class="no-padding"><div class="max"><div>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.player.listenByDefault"))}</div></div> <label class="switch"><input type="checkbox"${attr("checked", store_get($$store_subs ??= {}, "$playerListenByDefaultStore", playerListenByDefaultStore), true)}> <span></span></label></nav></div> <div class="field no-margin m l"><nav class="no-padding"><div class="max"><div>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.player.theatreModeByDefault"))}</div></div> <label class="switch"><input type="checkbox"${attr("checked", store_get($$store_subs ??= {}, "$playerTheatreModeByDefaultStore", playerTheatreModeByDefaultStore), true)}> <span></span></label></nav></div> <div class="field no-margin"><nav class="no-padding"><div class="max"><div>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.player.autoPlayNextByDefault"))}</div></div> <label class="switch"><input type="checkbox"${attr("checked", store_get($$store_subs ??= {}, "$playerAutoplayNextByDefaultStore", playerAutoplayNextByDefaultStore), true)}> <span></span></label></nav></div> <div class="field no-margin"><nav class="no-padding"><div class="max"><div>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.player.silenceSkipper"))}</div></div> <label class="switch"><input type="checkbox"${attr("checked", store_get($$store_subs ??= {}, "$silenceSkipperStore", silenceSkipperStore), true)}> <span></span></label></nav></div> `;
  if (Capacitor.isNativePlatform()) {
    $$payload.out += "<!--[-->";
    $$payload.out += `<div class="field no-margin"><nav class="no-padding"><div class="max"><div>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.player.youtubeJsAlways"))}</div></div> <label class="switch"><input type="checkbox"${attr("checked", store_get($$store_subs ??= {}, "$playerYouTubeJsAlways", playerYouTubeJsAlways), true)}> <span></span></label></nav></div> <div class="field no-margin"><nav class="no-padding"><div class="max"><div>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.player.youtubeJsFallback"))}</div></div> <label class="switch"><input type="checkbox"${attr("checked", store_get($$store_subs ??= {}, "$playerYouTubeJsFallback", playerYouTubeJsFallback), true)}> <span></span></label></nav></div>`;
  } else {
    $$payload.out += "<!--[!-->";
  }
  $$payload.out += `<!--]-->`;
  if ($$store_subs) unsubscribe_stores($$store_subs);
  pop();
}
function RYD($$payload, $$props) {
  push();
  var $$store_subs;
  let returnYTInstance = get(returnYTDislikesInstanceStore);
  $$payload.out += `<form><nav><div class="field label border max"><input${attr("value", returnYTInstance)} name="returnyt-instance" type="text"> <label for="returnyt-instance">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.instanceUrl"))}</label></div> <button class="square round"><i>done</i></button></nav></form> <nav class="no-padding"><div class="max"><p>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("enabled"))}</p></div> <label class="switch"><input${attr("checked", store_get($$store_subs ??= {}, "$returnYtDislikesStore", returnYtDislikesStore), true)} type="checkbox"> <span></span></label></nav>`;
  if ($$store_subs) unsubscribe_stores($$store_subs);
  pop();
}
function SponsorBlock($$payload, $$props) {
  push();
  var $$store_subs;
  let sponsorCategoriesList = [];
  sponsorBlockCategoriesStore.subscribe((value) => sponsorCategoriesList = value);
  let sponsorBlockInstance = get(sponsorBlockUrlStore);
  const sponsorCategories = [
    {
      name: store_get($$store_subs ??= {}, "$_", $format)("layout.sponsors.sponsor"),
      category: "sponsor"
    },
    {
      name: store_get($$store_subs ??= {}, "$_", $format)("layout.sponsors.unpaidSelfPromotion"),
      category: "selfpromo"
    },
    {
      name: store_get($$store_subs ??= {}, "$_", $format)("layout.sponsors.interactionReminder"),
      category: "interaction"
    },
    {
      name: store_get($$store_subs ??= {}, "$_", $format)("layout.sponsors.intermissionIntroAnimation"),
      category: "intro"
    },
    {
      name: store_get($$store_subs ??= {}, "$_", $format)("layout.sponsors.credits"),
      category: "outro"
    },
    {
      name: store_get($$store_subs ??= {}, "$_", $format)("layout.sponsors.preViewRecapHook"),
      category: "preview"
    },
    {
      name: store_get($$store_subs ??= {}, "$_", $format)("layout.sponsors.tangentJokes"),
      category: "filler"
    }
  ];
  const each_array = ensure_array_like(sponsorCategories);
  $$payload.out += `<form><nav><div class="field label border max"><input${attr("value", sponsorBlockInstance)} name="sponsorblock-instance" type="text"> <label for="sponsorblock-instance">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.instanceUrl"))}</label></div> <button class="square round"><i>done</i></button></nav></form> <nav class="no-padding"><div class="max"><p>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("enabled"))}</p></div> <label class="switch"><input${attr("checked", store_get($$store_subs ??= {}, "$sponsorBlockStore", sponsorBlockStore), true)} type="checkbox"> <span></span></label></nav> <nav class="no-padding"><div class="max"><p>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.sponsors.disableToast"))}</p></div> <label class="switch"><input${attr("checked", store_get($$store_subs ??= {}, "$sponsorBlockDisplayToastStore", sponsorBlockDisplayToastStore), true)} type="checkbox"> <span></span></label></nav> <nav class="no-padding"><div class="max"><p>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.sponsors.disableTimeline"))}</p></div> <label class="switch"><input${attr("checked", store_get($$store_subs ??= {}, "$sponsorBlockTimelineStore", sponsorBlockTimelineStore), true)} type="checkbox"> <span></span></label></nav> <hr style="margin: 1em 0;"> <p class="bold">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.sponsors.Catagories"))}</p> <!--[-->`;
  for (let $$index = 0, $$length = each_array.length; $$index < $$length; $$index++) {
    let sponsor = each_array[$$index];
    $$payload.out += `<div class="field middle-align no-margin"><nav class="no-padding"><div class="max"><p>${escape_html(sponsor.name)}</p></div> <label class="switch"><input type="checkbox"${attr("checked", sponsorCategoriesList.includes(sponsor.category), true)}> <span></span></label></nav></div>`;
  }
  $$payload.out += `<!--]-->`;
  if ($$store_subs) unsubscribe_stores($$store_subs);
  pop();
}
function Settings($$payload, $$props) {
  push();
  var $$store_subs;
  sponsorBlockCategoriesStore.subscribe((value) => value);
  get(sponsorBlockUrlStore);
  get(synciousInstanceStore);
  get(returnYTDislikesInstanceStore);
  get(instanceStore);
  get(deArrowInstanceStore);
  get(deArrowThumbnailInstanceStore);
  get(interfaceRegionStore);
  get(interfaceForceCase);
  get(playerDefaultLanguage);
  get(interfaceDefaultPage);
  ISO6391.getAllCodes().map((code) => ISO6391.getName(code).toLocaleLowerCase());
  [
    {
      name: store_get($$store_subs ??= {}, "$_", $format)("layout.sponsors.sponsor"),
      category: "sponsor"
    },
    {
      name: store_get($$store_subs ??= {}, "$_", $format)("layout.sponsors.unpaidSelfPromotion"),
      category: "selfpromo"
    },
    {
      name: store_get($$store_subs ??= {}, "$_", $format)("layout.sponsors.interactionReminder"),
      category: "interaction"
    },
    {
      name: store_get($$store_subs ??= {}, "$_", $format)("layout.sponsors.intermissionIntroAnimation"),
      category: "intro"
    },
    {
      name: store_get($$store_subs ??= {}, "$_", $format)("layout.sponsors.credits"),
      category: "outro"
    },
    {
      name: store_get($$store_subs ??= {}, "$_", $format)("layout.sponsors.preViewRecapHook"),
      category: "preview"
    },
    {
      name: store_get($$store_subs ??= {}, "$_", $format)("layout.sponsors.tangentJokes"),
      category: "filler"
    }
  ];
  let dialogType = "";
  $$payload.out += `<dialog id="dialog-settings"${attr("class", clsx(dialogType) + " svelte-z8rzdk")}><nav style="margin-bottom: 1em;"><h4 class="max">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.settings"))}</h4> <button class="circle transparent" data-ui="#dialog-settings"><i>close</i></button></nav> <div><nav class="tabbed small svelte-z8rzdk"><a${attr("class", `svelte-z8rzdk ${stringify(["active"].filter(Boolean).join(" "))}`)}><i>grid_view</i> <span>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.interface"))}</span></a> <a${attr("class", `svelte-z8rzdk ${stringify([""].filter(Boolean).join(" "))}`)}><i>smart_display</i> <span>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.player.title"))}</span></a> <a${attr("class", `svelte-z8rzdk ${stringify([""].filter(Boolean).join(" "))}`)}><i>save</i> <span>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.dataPreferences.dataPreferences"))}</span></a> <a${attr("class", `svelte-z8rzdk ${stringify([""].filter(Boolean).join(" "))}`)}><i>thumb_down</i> <span>RYD</span></a> <a${attr("class", `svelte-z8rzdk ${stringify([""].filter(Boolean).join(" "))}`)}><i>sync</i> <span>API Extended</span></a> <a${attr("class", `svelte-z8rzdk ${stringify([""].filter(Boolean).join(" "))}`)}><i>block</i> <span>Sponsorblock</span></a> <a${attr("class", `svelte-z8rzdk ${stringify([""].filter(Boolean).join(" "))}`)}><i>keyboard_double_arrow_down</i> <span>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.deArrow.title"))}</span></a> <a href="https://github.com/sponsors/WardPearce" target="_blank" referrerpolicy="no-referrer" class="svelte-z8rzdk"><i>favorite</i> <span>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("donate"))}</span></a> <a href="https://github.com/Materialious/Materialious" target="_blank" referrerpolicy="no-referrer" class="svelte-z8rzdk"><i>code</i> <span>GitHub</span></a></nav> <div${attr("class", `page padding ${stringify(["active"].filter(Boolean).join(" "))}`)}>`;
  Interface($$payload);
  $$payload.out += `<!----></div> <div${attr("class", `page padding ${stringify([""].filter(Boolean).join(" "))}`)}>`;
  Player($$payload);
  $$payload.out += `<!----></div> <div${attr("class", `page padding ${stringify([""].filter(Boolean).join(" "))}`)}>`;
  DataPreferences($$payload);
  $$payload.out += `<!----></div> <div${attr("class", `page padding ${stringify([""].filter(Boolean).join(" "))}`)}>`;
  RYD($$payload);
  $$payload.out += `<!----></div> <div${attr("class", `page padding ${stringify([""].filter(Boolean).join(" "))}`)}>`;
  ApiExtended($$payload);
  $$payload.out += `<!----></div> <div${attr("class", `page padding ${stringify([""].filter(Boolean).join(" "))}`)}>`;
  SponsorBlock($$payload);
  $$payload.out += `<!----></div> <div${attr("class", `page padding ${stringify([""].filter(Boolean).join(" "))}`)}>`;
  DeArrow($$payload);
  $$payload.out += `<!----></div></div></dialog>`;
  if ($$store_subs) unsubscribe_stores($$store_subs);
  pop();
}
function SyncParty($$payload, $$props) {
  push();
  var $$store_subs;
  page.subscribe((newPage) => {
    if (!newPage.url.pathname.startsWith("/watch") && store_get($$store_subs ??= {}, "$syncPartyPeerStore", syncPartyPeerStore)) {
      store_get($$store_subs ??= {}, "$syncPartyConnectionsStore", syncPartyConnectionsStore)?.forEach((conn) => {
        conn.send({
          events: [{ type: "goto", path: newPage.url.pathname }]
        });
      });
    }
  });
  onDestroy(() => {
    if (store_get($$store_subs ??= {}, "$syncPartyPeerStore", syncPartyPeerStore)) {
      store_get($$store_subs ??= {}, "$syncPartyPeerStore", syncPartyPeerStore).destroy();
      store_set(syncPartyPeerStore, null);
    }
  });
  $$payload.out += `<dialog id="sync-party"><h6>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.syncParty"))}</h6> <p>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.syncPartyWarning"))}</p> `;
  if (store_get($$store_subs ??= {}, "$syncPartyPeerStore", syncPartyPeerStore)) {
    $$payload.out += "<!--[-->";
    $$payload.out += `<nav><div class="field label border max"><input name="sync-share" readonly${attr("value", `${location.origin}?sync=${store_get($$store_subs ??= {}, "$syncPartyPeerStore", syncPartyPeerStore).id}`)} type="text"> <label class="active" for="sync-share">Share URL</label></div> <button class="square round"><i>content_copy</i></button></nav>`;
  } else {
    $$payload.out += "<!--[!-->";
  }
  $$payload.out += `<!--]--> <div class="space"></div> <button class="no-margin"${attr("data-ui", `${store_get($$store_subs ??= {}, "$syncPartyPeerStore", syncPartyPeerStore) ? "#sync-party" : ""}`)}>`;
  if (store_get($$store_subs ??= {}, "$syncPartyPeerStore", syncPartyPeerStore)) {
    $$payload.out += "<!--[-->";
    $$payload.out += `${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.endSyncParty"))}`;
  } else {
    $$payload.out += "<!--[!-->";
    $$payload.out += `${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.startSyncParty"))}`;
  }
  $$payload.out += `<!--]--></button></dialog> <div class="snackbar" id="sync-party-connection-join"><i>person_add</i> <span>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("syncParty.userJoined"))}</span></div> <div class="snackbar" id="sync-party-connection-left"><i>person_remove</i> <span>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("syncParty.userLeft"))}</span></div> <div class="snackbar" id="sync-party-private-page"><i>shield_person</i> <span>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("syncParty.userOnPrivatePage"))}</span></div>`;
  if ($$store_subs) unsubscribe_stores($$store_subs);
  pop();
}
const pwaInfo = { "webManifest": { "linkTag": '<link rel="manifest" href="/manifest.webmanifest">' } };
function _layout($$payload, $$props) {
  push();
  var $$store_subs;
  let { children } = $$props;
  let currentPage = "";
  activePageStore.subscribe((page2) => currentPage = page2);
  let isLoggedIn = false;
  authStore.subscribe((value) => {
    isLoggedIn = value !== null;
  });
  let notifications = [];
  interfaceAmoledTheme.subscribe(async () => {
    setAmoledTheme();
    await setStatusBarColor();
  });
  darkModeStore.subscribe(async () => {
    setTheme();
    setAmoledTheme();
    await setStatusBarColor();
  });
  App.addListener("appUrlOpen", (data) => {
    const url = new URL(data.url);
    if (url.protocol !== "materialious-auth:") {
      let videoId = url.searchParams.get("v");
      if (!videoId) {
        videoId = url.pathname.split("/")[1];
      }
      if (!videoId) {
        return;
      }
      goto();
    } else {
      const username = url.searchParams.get("username");
      const token = url.searchParams.get("token");
      if (username && token) {
        authStore.set({ username, token });
      }
    }
  });
  let webManifestLink = pwaInfo ? pwaInfo.webManifest.linkTag : "";
  const each_array = ensure_array_like(getPages());
  const each_array_1 = ensure_array_like(getPages());
  head($$payload, ($$payload2) => {
    $$payload2.out += `${html(webManifestLink)}`;
  });
  $$payload.out += `<nav class="left m l small svelte-16bpv4m"><header></header> <!--[-->`;
  for (let $$index = 0, $$length = each_array.length; $$index < $$length; $$index++) {
    let page2 = each_array[$$index];
    if (!page2.requiresAuth || isLoggedIn) {
      $$payload.out += "<!--[-->";
      $$payload.out += `<a${attr("href", page2.href)}${attr("class", `svelte-16bpv4m ${stringify([
        currentPage === page2.name.toLowerCase() ? "active" : ""
      ].filter(Boolean).join(" "))}`)}><i>${escape_html(page2.icon)}</i> <div>${escape_html(page2.name)}</div></a>`;
    } else {
      $$payload.out += "<!--[!-->";
    }
    $$payload.out += `<!--]-->`;
  }
  $$payload.out += `<!--]--></nav> <nav class="top">`;
  {
    $$payload.out += "<!--[-->";
    $$payload.out += `<button class="transparent s circle large"><i>search</i></button>`;
  }
  $$payload.out += `<!--]--> `;
  if (Capacitor.getPlatform() === "electron") {
    $$payload.out += "<!--[-->";
    $$payload.out += `<nav class="no-space"><button class="border left-round"><i>arrow_back</i></button> <button class="border right-round"><i>arrow_forward</i></button></nav>`;
  } else {
    $$payload.out += "<!--[!-->";
  }
  $$payload.out += `<!--]--> <nav style="cursor: pointer;" class="m l">`;
  Logo($$payload, {});
  $$payload.out += `<!----> <h6 class="l">Materialious</h6></nav> <div class="max m l"></div> <div class="m l">`;
  Search($$payload);
  $$payload.out += `<!----></div> `;
  {
    $$payload.out += "<!--[-->";
    $$payload.out += `<div class="max"></div>`;
  }
  $$payload.out += `<!--]--> `;
  {
    $$payload.out += "<!--[!-->";
    if (!Capacitor.isNativePlatform()) {
      $$payload.out += "<!--[-->";
      $$payload.out += `<button data-ui="#sync-party" class="circle large transparent"><i${attr("class", [
        store_get($$store_subs ??= {}, "$syncPartyPeerStore", syncPartyPeerStore) ? "primary-text" : ""
      ].filter(Boolean).join(" "))}>group</i> <div class="tooltip bottom">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.syncParty"))}</div></button>`;
    } else {
      $$payload.out += "<!--[!-->";
    }
    $$payload.out += `<!--]--> `;
    if (isLoggedIn) {
      $$payload.out += "<!--[-->";
      $$payload.out += `<button class="circle large transparent"><i>notifications</i> <div class="tooltip bottom">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.notifications"))}</div></button>`;
    } else {
      $$payload.out += "<!--[!-->";
    }
    $$payload.out += `<!--]--> <button class="circle large transparent"><i>settings</i> <div class="tooltip bottom">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.settings"))}</div></button> `;
    if (!isLoggedIn) {
      $$payload.out += "<!--[-->";
      $$payload.out += `<button class="circle large transparent"><i>login</i> <div class="tooltip bottom">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.login"))}</div></button>`;
    } else {
      $$payload.out += "<!--[!-->";
      $$payload.out += `<button class="circle large transparent"><i>logout</i> <div class="tooltip bottom">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.logout"))}</div></button>`;
    }
    $$payload.out += `<!--]-->`;
  }
  $$payload.out += `<!--]--></nav> <nav class="bottom s"><!--[-->`;
  for (let $$index_1 = 0, $$length = each_array_1.length; $$index_1 < $$length; $$index_1++) {
    let page2 = each_array_1[$$index_1];
    if (!page2.requiresAuth || isLoggedIn) {
      $$payload.out += "<!--[-->";
      $$payload.out += `<a${attr("class", `round ${stringify([
        currentPage === page2.name.toLowerCase() ? "active" : ""
      ].filter(Boolean).join(" "))}`)}${attr("href", page2.href)}><i>${escape_html(page2.icon)}</i> `;
      if (currentPage === page2.name.toLowerCase()) {
        $$payload.out += "<!--[-->";
        $$payload.out += `<span style="font-size: .8em;">${escape_html(page2.name)}</span>`;
      } else {
        $$payload.out += "<!--[!-->";
      }
      $$payload.out += `<!--]--></a>`;
    } else {
      $$payload.out += "<!--[!-->";
    }
    $$payload.out += `<!--]-->`;
  }
  $$payload.out += `<!--]--></nav> `;
  Settings($$payload);
  $$payload.out += `<!----> <dialog class="right" id="dialog-notifications"><nav><h5 class="max">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.notifications"))}</h5> <button class="circle transparent" data-ui="#dialog-notifications"><i>close</i></button></nav> `;
  if (notifications.length === 0) {
    $$payload.out += "<!--[-->";
    $$payload.out += `<p>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("layout.noNewNotifications"))}</p>`;
  } else {
    $$payload.out += "<!--[!-->";
    const each_array_2 = ensure_array_like(notifications);
    $$payload.out += `<!--[-->`;
    for (let $$index_2 = 0, $$length = each_array_2.length; $$index_2 < $$length; $$index_2++) {
      let notification = each_array_2[$$index_2];
      $$payload.out += `<article class="no-padding">`;
      Thumbnail($$payload, { video: notification });
      $$payload.out += `<!----></article>`;
    }
    $$payload.out += `<!--]-->`;
  }
  $$payload.out += `<!--]--></dialog> <main class="responsive max root">`;
  if (Capacitor.getPlatform() === "web" && store_get($$store_subs ??= {}, "$showWarningStore", showWarningStore)) {
    $$payload.out += "<!--[-->";
    $$payload.out += `<dialog class="active small" style="height: fit-content;"><h5>Warning</h5> <div><p>${html(store_get($$store_subs ??= {}, "$_", $format)("invidiousBlockWarning", {
      values: {
        android: '<a href="https://github.com/Materialious/Materialious?tab=readme-ov-file#android" target="_blank" class="link" rel="noopener noreferrer">Android</a>',
        desktop: '<a href="https://github.com/Materialious/Materialious?tab=readme-ov-file#desktop-windowsmacoslinux" target="_blank" class="link" rel="noopener noreferrer">Desktop</a>'
      }
    }))}</p></div> <nav class="right-align no-space"><button class="transparent link">Don't show again</button></nav></dialog>`;
  } else {
    $$payload.out += "<!--[!-->";
  }
  $$payload.out += `<!--]--> `;
  if (store_get($$store_subs ??= {}, "$navigating", navigating)) {
    $$payload.out += "<!--[-->";
    PageLoading($$payload);
  } else {
    $$payload.out += "<!--[!-->";
    children?.($$payload);
    $$payload.out += `<!---->`;
  }
  $$payload.out += `<!--]--> `;
  SyncParty($$payload);
  $$payload.out += `<!----> `;
  MiniPlayer($$payload);
  $$payload.out += `<!----></main>`;
  if ($$store_subs) unsubscribe_stores($$store_subs);
  pop();
}
export {
  _layout as default
};
