import { g as getPopular } from "../../../chunks/index3.js";
import { e as error } from "../../../chunks/index4.js";
async function load() {
  let popular = void 0;
  let popularDisabled = false;
  try {
    popular = await getPopular();
  } catch (errorMessage) {
    if (errorMessage.toString() === "Error: Administrator has disabled this endpoint.") {
      popularDisabled = true;
    } else {
      error(500, errorMessage);
    }
  }
  return {
    popular,
    popularDisabled
  };
}
export {
  load
};
