import { s as store_get, u as unsubscribe_stores, p as pop, a as push } from "../../../../../chunks/index2.js";
import { a as activePageStore } from "../../../../../chunks/store.js";
import { c as cleanNumber } from "../../../../../chunks/time.js";
import { Capacitor } from "@capacitor/core";
import "bgutils-js";
import { a as attr } from "../../../../../chunks/attributes.js";
import "youtubei.js";
import { V as VideoList } from "../../../../../chunks/VideoList.js";
import { u as unsafeRandomItem } from "../../../../../chunks/misc.js";
import "@capacitor/clipboard";
import { $ as $format } from "../../../../../chunks/runtime.js";
import { e as escape_html } from "../../../../../chunks/escaping.js";
function _page($$payload, $$props) {
  push();
  var $$store_subs;
  let { data } = $$props;
  activePageStore.set(null);
  let videos = void 0;
  if (data.playlist.videos.length > 0) {
    videos = data.playlist.videos.sort((a, b) => {
      return a.index < b.index ? -1 : 1;
    });
    videos = videos.filter((playlistVideo) => {
      return playlistVideo.lengthSeconds > 0;
    });
  }
  $$payload.out += `<div class="space"></div> <article>`;
  if (videos) {
    $$payload.out += "<!--[-->";
    $$payload.out += `<nav><a${attr("href", `/watch/${videos[0].videoId}?playlist=${data.playlist.playlistId}`)} class="button circle extra no-margin"><i>play_arrow</i> <div class="tooltip bottom">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("playlist.playVideos"))}</div></a> <a${attr("href", `/watch/${unsafeRandomItem(videos).videoId}?playlist=${data.playlist.playlistId}`)} class="button circle extra no-margin border"><i>shuffle</i> <div class="tooltip bottom">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("playlist.shuffleVideos"))}</div></a></nav>`;
  } else {
    $$payload.out += "<!--[!-->";
  }
  $$payload.out += `<!--]--> <h3>${escape_html(data.playlist.title)}</h3> <p>${escape_html(cleanNumber(data.playlist.viewCount))}
		${escape_html(store_get($$store_subs ??= {}, "$_", $format)("views"))} • ${escape_html(data.playlist.videoCount)}
		${escape_html(store_get($$store_subs ??= {}, "$_", $format)("videos"))}</p> <div class="divider" style="margin-bottom: 1em;"></div> <article style="max-height: 200px;" class="scroll no-padding no-elevate no-round"><p style="white-space: pre-line;word-wrap: break-word;">${escape_html(data.playlist.description)}</p></article> <div class="space"></div> <button class="border no-margin"><i>share</i> <span>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("player.share.title"))}</span> <menu class="no-wrap">`;
  if (!Capacitor.isNativePlatform()) {
    $$payload.out += "<!--[-->";
    $$payload.out += `<a href="#share">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("player.share.materialiousLink"))}</a>`;
  } else {
    $$payload.out += "<!--[!-->";
  }
  $$payload.out += `<!--]--> <a href="#share">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("player.share.youtubeLink"))}</a></menu></button></article> `;
  if (videos) {
    $$payload.out += "<!--[-->";
    VideoList($$payload, {
      videos,
      playlistAuthor: data.playlist.author,
      playlistId: data.playlist.playlistId
    });
  } else {
    $$payload.out += "<!--[!-->";
  }
  $$payload.out += `<!--]-->`;
  if ($$store_subs) unsubscribe_stores($$store_subs);
  pop();
}
export {
  _page as default
};
