import { a as push, s as store_get, b as stringify, u as unsubscribe_stores, p as pop, f as copy_payload, h as assign_payload, c as bind_props, j as head, k as await_block, e as ensure_array_like } from "../../../../../chunks/index2.js";
import { r as run } from "../../../../../chunks/legacy-server.js";
import "../../../../../chunks/client.js";
import { c as getPlaylist } from "../../../../../chunks/index3.js";
import { i as interfaceLowBandwidthMode, a as activePageStore, v as playlistSettingsStore, w as syncPartyConnectionsStore, s as syncPartyPeerStore, x as miniPlayerSrcStore, b as authStore, y as interfaceAutoExpandDesc, z as interfaceAutoExpandComments, A as playerTheatreModeByDefaultStore, B as playerListenByDefaultStore, C as playerMiniPlayerStore } from "../../../../../chunks/store.js";
import { n as numberWithCommas, c as cleanNumber } from "../../../../../chunks/time.js";
import { Capacitor } from "@capacitor/core";
import "bgutils-js";
import { a as attr } from "../../../../../chunks/attributes.js";
import "youtubei.js";
import { p as proxyGoogleImage, g as getBestThumbnail } from "../../../../../chunks/images.js";
import { $ as $format } from "../../../../../chunks/runtime.js";
import { e as escape_html } from "../../../../../chunks/escaping.js";
import { h as html } from "../../../../../chunks/html.js";
import { P as Player } from "../../../../../chunks/Player.js";
import "@capacitor/clipboard";
import { T as Thumbnail } from "../../../../../chunks/Thumbnail.js";
import { g as get } from "../../../../../chunks/index.js";
import { t as truncate } from "../../../../../chunks/misc.js";
import { l as letterCase } from "../../../../../chunks/letterCasing.js";
import "../../../../../chunks/beer.min.js";
import { o as onDestroy, t as tick } from "../../../../../chunks/index-server.js";
function Comment($$payload, $$props) {
  push();
  var $$store_subs;
  let { comment, videoId } = $$props;
  function commentTimestamps(html2) {
    const regex = /<a href="([^"]+)" data-onclick="jump_to_time" data-jump-time="(\d+)">([^<]+)<\/a>\s*(.+)/g;
    const replacement = `<a href="/watch/${videoId}?time=$2" data-sveltekit-preload-data="off" class="link">$3 $4</a>`;
    const processedHtml = html2.replace(regex, replacement);
    return processedHtml;
  }
  $$payload.out += `<div class="comment svelte-1q3a33k">`;
  if (!store_get($$store_subs ??= {}, "$interfaceLowBandwidthMode", interfaceLowBandwidthMode)) {
    $$payload.out += "<!--[-->";
    $$payload.out += `<img class="circle small svelte-1q3a33k"${attr("src", proxyGoogleImage(getBestThumbnail(comment.authorThumbnails)))} alt="comment profile">`;
  } else {
    $$payload.out += "<!--[!-->";
  }
  $$payload.out += `<!--]--> <div><div class="row"><a${attr("href", `/channel/${comment.authorId}`)}><p class="no-margin"><span${attr("class", `bold svelte-1q3a33k ${stringify([
    comment.authorIsChannelOwner ? "channel-owner" : ""
  ].filter(Boolean).join(" "))}`)}>${escape_html(comment.author)}</span> <span class="secondary-text">${escape_html(comment.publishedText)}</span></p></a> `;
  if (comment.isPinned) {
    $$payload.out += "<!--[-->";
    $$payload.out += `<i>push_pin</i>`;
  } else {
    $$payload.out += "<!--[!-->";
  }
  $$payload.out += `<!--]--> `;
  if (comment.isEdited) {
    $$payload.out += "<!--[-->";
    $$payload.out += `<i>edit</i>`;
  } else {
    $$payload.out += "<!--[!-->";
  }
  $$payload.out += `<!--]--></div> <p class="no-margin">${html(commentTimestamps(comment.contentHtml))}</p> <div style="display: flex;"><p><i>thumb_up</i> ${escape_html(numberWithCommas(comment.likeCount))}</p> `;
  if (comment.creatorHeart) {
    $$payload.out += "<!--[-->";
    $$payload.out += `<div><img class="circle svelte-1q3a33k" style="width: 25px; height: 25px"${attr("src", proxyGoogleImage(comment.creatorHeart.creatorThumbnail))} alt="Creator profile"> <i style="font-size: 20px;margin-left: 5px;" class="absolute left red-text bottom fill">favorite</i></div>`;
  } else {
    $$payload.out += "<!--[!-->";
  }
  $$payload.out += `<!--]--></div> `;
  {
    $$payload.out += "<!--[!-->";
  }
  $$payload.out += `<!--]--> `;
  if (comment.replies && true) {
    $$payload.out += "<!--[-->";
    $$payload.out += `<button class="transparent replies svelte-1q3a33k"><i class="primary-text">expand_more</i> <span class="primary-text">${escape_html(comment.replies.replyCount)} ${escape_html(store_get($$store_subs ??= {}, "$_", $format)("replies"))}</span></button>`;
  } else {
    $$payload.out += "<!--[!-->";
    {
      $$payload.out += "<!--[!-->";
    }
    $$payload.out += `<!--]-->`;
  }
  $$payload.out += `<!--]--></div></div>`;
  if ($$store_subs) unsubscribe_stores($$store_subs);
  pop();
}
function ShareVideo($$payload, $$props) {
  push();
  var $$store_subs;
  if (!Capacitor.isNativePlatform()) {
    $$payload.out += "<!--[-->";
    $$payload.out += `<a class="row" href="#copy"><div class="min">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("player.share.materialiousLink"))}</div></a>`;
  } else {
    $$payload.out += "<!--[!-->";
  }
  $$payload.out += `<!--]--> <a href="#copy" class="row"><div class="min">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("player.share.invidiousRedirect"))}</div></a><a class="row" href="#copy"><div class="min">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("player.share.youtubeLink"))}</div></a>`;
  if ($$store_subs) unsubscribe_stores($$store_subs);
  pop();
}
function _page($$payload, $$props) {
  push();
  var $$store_subs;
  let { data = void 0 } = $$props;
  let comments = null;
  data.streamed.comments?.then((streamedComments) => {
    comments = streamedComments;
  });
  let subscribed = false;
  data.streamed.subscribed.then((streamedIsSubbed) => {
    subscribed = streamedIsSubbed;
  });
  let personalPlaylists = null;
  data.streamed.personalPlaylists?.then((streamPlaylists) => personalPlaylists = streamPlaylists);
  activePageStore.set(null);
  let playlistVideos = [];
  let playlist = null;
  let loopPlaylist = false;
  let shufflePlaylist = false;
  let theatreMode = get(playerTheatreModeByDefaultStore);
  let audioMode = get(playerListenByDefaultStore);
  let player;
  let segments = [];
  let pauseTimerSeconds = -1;
  let playerCurrentTime = 0;
  run(() => {
    if (typeof player !== "undefined") {
      playerCurrentTime = player.currentTime;
      player.addEventListener("time-update", (event) => playerCurrentTime = event.detail.currentTime);
    }
  });
  playlistSettingsStore.subscribe((playlistSetting) => {
    if (!data.playlistId) return;
    if (data.playlistId in playlistSetting) {
      loopPlaylist = playlistSetting[data.playlistId].loop;
      shufflePlaylist = playlistSetting[data.playlistId].shuffle;
    }
  });
  function playerSyncEvents(conn) {
    if (player) {
      conn.send({
        events: [{ type: "seek", time: player.currentTime }]
      });
    }
    if (data.playlistId) {
      conn.send({
        events: [
          { type: "playlist", playlistId: data.playlistId }
        ]
      });
    }
    conn.on("data", (rawData) => {
      const events = rawData;
      events.events.forEach(async (event) => {
        if (!player) return;
        if (event.type === "pause") {
          player.pause();
        } else if (event.type === "play") {
          player.play();
        } else if (event.type === "seek" && event.time) {
          const timeDiff = player.currentTime - event.time;
          if (timeDiff > 5 || timeDiff < -5) {
            player.currentTime = event.time;
          }
        } else if (event.type === "playlist" && event.playlistId && event.playlistId !== data.playlistId) {
          data.playlistId = event.playlistId;
          await loadPlaylist(event.playlistId);
          goToCurrentPlaylistItem();
        }
      });
    });
    if (!player) return;
    player.addEventListener("auto-play-fail", () => {
      conn.send({ events: [{ type: "pause" }] });
    });
    player.addEventListener("auto-play", () => {
      if (!player) return;
      conn.send({
        events: [
          { type: "seek", time: player.currentTime },
          { type: "play" }
        ]
      });
    });
    player.addEventListener("pause", () => {
      conn.send({ events: [{ type: "pause" }] });
    });
    player.addEventListener("playing", () => {
      if (!player) return;
      conn.send({
        events: [
          { type: "seek", time: player.currentTime },
          { type: "play" }
        ]
      });
    });
    player.addEventListener("play", () => {
      if (!player) return;
      conn.send({
        events: [
          { type: "seek", time: player.currentTime },
          { type: "play" }
        ]
      });
    });
    player.addEventListener("waiting", () => {
      conn.send({ events: [{ type: "pause" }] });
    });
    player.addEventListener("seeked", () => {
      if (!player) return;
      conn.send({
        events: [{ type: "seek", time: player.currentTime }]
      });
    });
  }
  syncPartyConnectionsStore.subscribe((connections) => {
    if (!connections || !player) return;
    playerSyncEvents(connections[connections.length - 1]);
  });
  onDestroy(() => {
    document.title = "Materialious";
    if (get(playerMiniPlayerStore) && !player.paused && !store_get($$store_subs ??= {}, "$syncPartyPeerStore", syncPartyPeerStore) && !data.video.hlsUrl && data.video.formatStreams && data.video.formatStreams.length > 0 && data.video.fallbackPatch === void 0) {
      miniPlayerSrcStore.set({ video: data.video, time: player.currentTime });
    }
  });
  async function loadPlaylist(playlistId) {
    for (let page = 1; page < Infinity; page++) {
      const newPlaylist = await getPlaylist(playlistId, page);
      if (page === 1) {
        playlist = newPlaylist;
      }
      const newVideos = newPlaylist.videos;
      if (newVideos.length === 0) {
        break;
      }
      playlistVideos = [...playlistVideos, ...newVideos].sort((a, b) => {
        return a.index < b.index ? -1 : 1;
      });
      playlistVideos = playlistVideos.filter((playlistVideo) => {
        return playlistVideo.lengthSeconds > 0;
      });
    }
  }
  async function goToCurrentPlaylistItem() {
    await tick();
    const playlistCurrentVideo = document.getElementById(data.video.videoId);
    const playlistScrollable = document.getElementById("playlist");
    if (playlistCurrentVideo && playlistScrollable) {
      playlistScrollable.scrollTop = playlistCurrentVideo.offsetTop - playlistScrollable.offsetTop - 200;
    }
  }
  let $$settled = true;
  let $$inner_payload;
  function $$render_inner($$payload2) {
    head($$payload2, ($$payload3) => {
      $$payload3.title = `<title>${escape_html(data.video.title)} | Materialious</title>`;
    });
    $$payload2.out += `<div class="space"></div> <div class="grid svelte-pkvqan"><div${attr("class", `${stringify(`s12 m12 l${theatreMode ? "12" : "9"}`)} svelte-pkvqan`)}><div style="display: flex;justify-content: center;" class="svelte-pkvqan"><!---->`;
    {
      $$payload2.out += `<div style="max-height: 80vh;max-width: calc(80vh * 16 / 9);overflow: hidden;position: relative;flex: 1;">`;
      Player($$payload2, {
        data,
        audioMode,
        isSyncing: store_get($$store_subs ??= {}, "$syncPartyPeerStore", syncPartyPeerStore) !== null,
        get segments() {
          return segments;
        },
        set segments($$value) {
          segments = $$value;
          $$settled = false;
        },
        get player() {
          return player;
        },
        set player($$value) {
          player = $$value;
          $$settled = false;
        }
      });
      $$payload2.out += `<!----></div>`;
    }
    $$payload2.out += `<!----></div> `;
    {
      $$payload2.out += "<!--[!-->";
    }
    $$payload2.out += `<!--]--> <h5>${escape_html(letterCase(data.video.title))}</h5> <div class="grid no-padding svelte-pkvqan"><div class="s12 m12 l5"><nav><a${attr("href", `/channel/${data.video.authorId}`)}><nav>`;
    if (!store_get($$store_subs ??= {}, "$interfaceLowBandwidthMode", interfaceLowBandwidthMode)) {
      $$payload2.out += "<!--[-->";
      $$payload2.out += `<img class="circle large"${attr("src", proxyGoogleImage(getBestThumbnail(data.video.authorThumbnails)))} alt="Channel profile">`;
    } else {
      $$payload2.out += "<!--[!-->";
    }
    $$payload2.out += `<!--]--> <div><p style="margin: 0;" class="bold">${escape_html(truncate(data.video.author, 16))}</p> <p style="margin: 0;">${escape_html(data.video.subCountText)}</p></div></nav></a> `;
    if (store_get($$store_subs ??= {}, "$authStore", authStore)) {
      $$payload2.out += "<!--[-->";
      $$payload2.out += `<button${attr("class", `svelte-pkvqan ${stringify([
        !subscribed ? "inverse-surface" : "",
        subscribed ? "border" : ""
      ].filter(Boolean).join(" "))}`)}>`;
      if (!subscribed) {
        $$payload2.out += "<!--[-->";
        $$payload2.out += `${escape_html(store_get($$store_subs ??= {}, "$_", $format)("subscribe"))}`;
      } else {
        $$payload2.out += "<!--[!-->";
        $$payload2.out += `${escape_html(store_get($$store_subs ??= {}, "$_", $format)("unsubscribe"))}`;
      }
      $$payload2.out += `<!--]--></button>`;
    } else {
      $$payload2.out += "<!--[!-->";
      $$payload2.out += `<button class="inverse-surface svelte-pkvqan" disabled>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("subscribe"))} <div class="tooltip">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("loginRequired"))}</div></button>`;
    }
    $$payload2.out += `<!--]--></nav></div> <div class="s12 m12 l7 video-actions svelte-pkvqan"><!---->`;
    await_block(
      data.streamed.returnYTDislikes,
      () => {
      },
      (returnYTDislikes) => {
        if (returnYTDislikes) {
          $$payload2.out += "<!--[-->";
          $$payload2.out += `<nav class="no-space" style="margin-right: .5em;"><button style="cursor: default;" class="border left-round svelte-pkvqan"><i class="small">thumb_up</i> <span>${escape_html(cleanNumber(returnYTDislikes.likes))}</span></button> <button style="cursor: default;" class="border right-round svelte-pkvqan"><i class="small">thumb_down_alt</i> <span>${escape_html(cleanNumber(returnYTDislikes.dislikes))}</span></button></nav>`;
        } else {
          $$payload2.out += "<!--[!-->";
          $$payload2.out += `<button style="cursor: default;" class="border svelte-pkvqan"><i class="small">thumb_up</i> <span>${escape_html(cleanNumber(data.video.likeCount))}</span></button>`;
        }
        $$payload2.out += `<!--]-->`;
      }
    );
    $$payload2.out += `<!----> <div class="svelte-pkvqan"><button${attr("class", `svelte-pkvqan ${stringify([!audioMode ? "border" : ""].filter(Boolean).join(" "))}`)}><i>headphones</i> <div class="tooltip">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("player.audioOnly"))}</div></button> <button${attr("class", `m l svelte-pkvqan ${stringify([!theatreMode ? "border" : ""].filter(Boolean).join(" "))}`)}><i>width_wide</i> <div class="tooltip">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("player.theatreMode"))}</div></button> `;
    if (data.video.lengthSeconds > 60 && !data.video.hlsUrl) {
      $$payload2.out += "<!--[-->";
      $$payload2.out += `<button${attr("class", `svelte-pkvqan ${stringify(["border"].filter(Boolean).join(" "))}`)}><i>schedule</i> <div class="tooltip">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("player.pauseTimer"))}</div></button>`;
    } else {
      $$payload2.out += "<!--[!-->";
    }
    $$payload2.out += `<!--]--> <button${attr("class", `svelte-pkvqan ${stringify(["border"].filter(Boolean).join(" "))}`)}><i>description</i> <div class="tooltip">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("transcript"))}</div></button> <button class="border svelte-pkvqan"><i>share</i> <div class="tooltip">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("player.share.title"))}</div> <menu class="no-wrap svelte-pkvqan">`;
    ShareVideo($$payload2, { video: data.video });
    $$payload2.out += `<!----></menu></button> `;
    if (personalPlaylists) {
      $$payload2.out += "<!--[-->";
      const each_array = ensure_array_like(personalPlaylists);
      $$payload2.out += `<button class="border svelte-pkvqan"><i>add</i> <div class="tooltip">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("player.addToPlaylist"))}</div> <menu class="no-wrap svelte-pkvqan"><!--[-->`;
      for (let $$index = 0, $$length = each_array.length; $$index < $$length; $$index++) {
        let personalPlaylist = each_array[$$index];
        $$payload2.out += `<a href="#add"><nav><span class="max">${escape_html(personalPlaylist.title)}</span> `;
        if (personalPlaylist.videos.filter((item) => {
          return item.videoId === data.video.videoId;
        }).length > 0) {
          $$payload2.out += "<!--[-->";
          $$payload2.out += `<i>close</i>`;
        } else {
          $$payload2.out += "<!--[!-->";
          $$payload2.out += `<i>add</i>`;
        }
        $$payload2.out += `<!--]--></nav></a>`;
      }
      $$payload2.out += `<!--]--></menu></button>`;
    } else {
      $$payload2.out += "<!--[!-->";
      $$payload2.out += `<button disabled class="border no-margin svelte-pkvqan"><i>add</i> <div class="tooltip">`;
      if (store_get($$store_subs ??= {}, "$authStore", authStore)) {
        $$payload2.out += "<!--[-->";
        $$payload2.out += `${escape_html(store_get($$store_subs ??= {}, "$_", $format)("player.noPlaylists"))}`;
      } else {
        $$payload2.out += "<!--[!-->";
        $$payload2.out += `${escape_html(store_get($$store_subs ??= {}, "$_", $format)("loginRequired"))}`;
      }
      $$payload2.out += `<!--]--></div></button>`;
    }
    $$payload2.out += `<!--]--></div></div></div> <article><details${attr("open", store_get($$store_subs ??= {}, "$interfaceAutoExpandDesc", interfaceAutoExpandDesc), true)}><summary class="bold none"><nav><div class="max">${escape_html(numberWithCommas(data.video.viewCount))} views • ${escape_html(data.video.publishedText)}</div> <i>expand_more</i></nav></summary> <div class="space"></div> <div class="medium scroll"><div style="white-space: pre-line; overflow-wrap: break-word;">${html(data.content.description)}</div> `;
    if (data.content) {
      $$payload2.out += "<!--[-->";
      if (data.content.timestamps.length > 0) {
        $$payload2.out += "<!--[-->";
        const each_array_1 = ensure_array_like(data.content.timestamps);
        $$payload2.out += `<h6 style="margin-bottom: .3em;">Chapters</h6> <!--[-->`;
        for (let $$index_1 = 0, $$length = each_array_1.length; $$index_1 < $$length; $$index_1++) {
          let timestamp = each_array_1[$$index_1];
          $$payload2.out += `<button class="timestamps svelte-pkvqan">${escape_html(timestamp.timePretty)} `;
          if (!timestamp.title.startsWith("-")) {
            $$payload2.out += "<!--[-->";
            $$payload2.out += `-`;
          } else {
            $$payload2.out += "<!--[!-->";
          }
          $$payload2.out += `<!--]--> ${escape_html(timestamp.title)}</button>`;
        }
        $$payload2.out += `<!--]-->`;
      } else {
        $$payload2.out += "<!--[!-->";
      }
      $$payload2.out += `<!--]-->`;
    } else {
      $$payload2.out += "<!--[!-->";
    }
    $$payload2.out += `<!--]--></div> <nav class="scroll">`;
    if (data.video.keywords) {
      $$payload2.out += "<!--[-->";
      const each_array_2 = ensure_array_like(data.video.keywords);
      $$payload2.out += `<!--[-->`;
      for (let $$index_2 = 0, $$length = each_array_2.length; $$index_2 < $$length; $$index_2++) {
        let keyword = each_array_2[$$index_2];
        $$payload2.out += `<a${attr("href", `/search/${encodeURIComponent(keyword)}`)} class="chip">${escape_html(keyword)}</a>`;
      }
      $$payload2.out += `<!--]-->`;
    } else {
      $$payload2.out += "<!--[!-->";
    }
    $$payload2.out += `<!--]--></nav></details></article> `;
    if (comments && comments.comments.length > 0) {
      $$payload2.out += "<!--[-->";
      const each_array_3 = ensure_array_like(comments.comments);
      $$payload2.out += `<article><details${attr("open", store_get($$store_subs ??= {}, "$interfaceAutoExpandComments", interfaceAutoExpandComments), true)}><summary class="none bold"><nav><div class="max">${escape_html(numberWithCommas(comments.commentCount))} comments</div> <i>expand_more</i></nav></summary> <div class="space"></div> <div class="medium scroll"><!--[-->`;
      for (let $$index_3 = 0, $$length = each_array_3.length; $$index_3 < $$length; $$index_3++) {
        let comment = each_array_3[$$index_3];
        Comment($$payload2, { comment, videoId: data.video.videoId });
      }
      $$payload2.out += `<!--]--> `;
      if (comments.continuation) {
        $$payload2.out += "<!--[-->";
        $$payload2.out += `<button class="margin svelte-pkvqan">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("loadMore"))}</button>`;
      } else {
        $$payload2.out += "<!--[!-->";
      }
      $$payload2.out += `<!--]--></div></details></article>`;
    } else {
      $$payload2.out += "<!--[!-->";
    }
    $$payload2.out += `<!--]--></div> `;
    if (!theatreMode) {
      $$payload2.out += "<!--[-->";
      $$payload2.out += `<div class="s12 m12 l3">`;
      {
        $$payload2.out += "<!--[!-->";
      }
      $$payload2.out += `<!--]--> `;
      if (playlist) {
        $$payload2.out += "<!--[-->";
        const each_array_4 = ensure_array_like(playlistVideos);
        $$payload2.out += `<article style="height: 85vh; position: relative;" id="playlist" class="scroll no-padding surface-container-high"><article class="no-elevate" style="position: sticky; top: 0; z-index: 3;"><h6>${escape_html(playlist.title)}</h6> <p>${escape_html(cleanNumber(playlist.viewCount))}
							${escape_html(store_get($$store_subs ??= {}, "$_", $format)("views"))} • ${escape_html(playlist.videoCount)}
							${escape_html(store_get($$store_subs ??= {}, "$_", $format)("videos"))}</p> <p><a${attr("href", `/channel/${playlist.authorId}`)}>${escape_html(playlist.author)}</a></p> <nav><button${attr("class", `circle ${stringify([!loopPlaylist ? "fill" : ""].filter(Boolean).join(" "))}`)}><i>loop</i> <div class="tooltip bottom">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("playlist.loopPlaylist"))}</div></button> <button${attr("class", `circle ${stringify([!shufflePlaylist ? "fill" : ""].filter(Boolean).join(" "))}`)}><i>shuffle</i> <div class="tooltip bottom">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("playlist.shuffleVideos"))}</div></button></nav> <div class="space"></div> <div class="divider"></div></article> <div class="space"></div> <!--[-->`;
        for (let $$index_4 = 0, $$length = each_array_4.length; $$index_4 < $$length; $$index_4++) {
          let playlistVideo = each_array_4[$$index_4];
          $$payload2.out += `<article${attr("class", `no-padding primary-border ${stringify([
            playlistVideo.videoId === data.video.videoId ? "border" : ""
          ].filter(Boolean).join(" "))}`)} style="margin: .7em;"${attr("id", playlistVideo.videoId)}><!---->`;
          {
            Thumbnail($$payload2, {
              video: playlistVideo,
              sideways: true,
              playlistId: data.playlistId || void 0
            });
          }
          $$payload2.out += `<!----></article>`;
        }
        $$payload2.out += `<!--]--></article>`;
      } else {
        $$payload2.out += "<!--[!-->";
        if (data.video.recommendedVideos) {
          $$payload2.out += "<!--[-->";
          const each_array_5 = ensure_array_like(data.video.recommendedVideos);
          $$payload2.out += `<!--[-->`;
          for (let $$index_5 = 0, $$length = each_array_5.length; $$index_5 < $$length; $$index_5++) {
            let recommendedVideo = each_array_5[$$index_5];
            $$payload2.out += `<article class="no-padding"><!---->`;
            {
              Thumbnail($$payload2, { video: recommendedVideo, sideways: true });
            }
            $$payload2.out += `<!----></article>`;
          }
          $$payload2.out += `<!--]-->`;
        } else {
          $$payload2.out += "<!--[!-->";
        }
        $$payload2.out += `<!--]-->`;
      }
      $$payload2.out += `<!--]--></div>`;
    } else {
      $$payload2.out += "<!--[!-->";
    }
    $$payload2.out += `<!--]--></div> <dialog class="modal" id="pause-timer">`;
    if (player) {
      $$payload2.out += "<!--[-->";
      $$payload2.out += `<div class="field middle-align"><label class="slider"><input type="range"${attr("value", pauseTimerSeconds)} min="0" step="60"${attr("max", data.video.lengthSeconds - playerCurrentTime - 60)}> <span></span></label> `;
      {
        $$payload2.out += "<!--[!-->";
      }
      $$payload2.out += `<!--]--></div>`;
    } else {
      $$payload2.out += "<!--[!-->";
    }
    $$payload2.out += `<!--]--> <nav class="right-align no-space"><button class="transparent link">Cancel</button> <button${attr("disabled", pauseTimerSeconds < 1, true)} class="transparent link">Confirm</button></nav></dialog>`;
  }
  do {
    $$settled = true;
    $$inner_payload = copy_payload($$payload);
    $$render_inner($$inner_payload);
  } while (!$$settled);
  assign_payload($$payload, $$inner_payload);
  if ($$store_subs) unsubscribe_stores($$store_subs);
  bind_props($$props, { data });
  pop();
}
export {
  _page as default
};
